Solid Edge FrameworkSupport Type Library
AddFillet Method
Specifies the object whose intersection with the Arc2d object forms the start of the fillet.
Specifies the index of the first object (Object1).
Specifies the Arc2d object for which the fillet relationship is being established.
Specifies the index of the Arc2d object.
Specifies the object whose intersection with the Arc2d object forms the end of the fillet.
Specifies the index of the second object (Object2).
If guaranteed_ok is True, checking is performed to ensure that the relationship does not contradict previously placed relationships. Use with caution
Description
Creates a fillet relationship between an Arc2d object and the two objects it intersects.
Syntax
Visual Basic
Public Function AddFillet( _
   ByVal Object1 As Object, _
   ByVal Index1 As Long, _
   ByVal Arc As Object, _
   ByVal arc_index As Long, _
   ByVal Object2 As Object, _
   ByVal Index2 As Long, _
   Optional ByVal guaranteed_ok As Variant _
) As Relation2d
Parameters
Object1
Specifies the object whose intersection with the Arc2d object forms the start of the fillet.
Index1
Specifies the index of the first object (Object1).
Arc
Specifies the Arc2d object for which the fillet relationship is being established.
arc_index
Specifies the index of the Arc2d object.
Object2
Specifies the object whose intersection with the Arc2d object forms the end of the fillet.
Index2
Specifies the index of the second object (Object2).
guaranteed_ok
If guaranteed_ok is True, checking is performed to ensure that the relationship does not contradict previously placed relationships. Use with caution
Remarks
As a result of this method, all geometry exceeding the points of intersection is trimmed. Relationship Add methods have checks to ensure that a new relationship does not contradict previously placed relationships. For example, AddHorizontal will return an error if the line already has a vertical relationship. This check can be turned off to enhance performance. The optional “guaranteed_ok” argument, if set to 1, bypasses relationship checking. However, this feature could leave the system in an unsolvable state, so use it carefully. It is best to use this feature only on a new element with no other relationships.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objLine1 As SolidEdgeFrameworkSupport.Line2d
    Dim objLine2 As SolidEdgeFrameworkSupport.Line2d
    Dim objArc1 As SolidEdgeFrameworkSupport.Arc2d
    Dim objRelns As SolidEdgeFrameworkSupport.Relations2d
    Dim objReln1 As SolidEdgeFrameworkSupport.Relation2d
    Dim objProfile As SolidEdgePart.Profile
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If

    ' Create an empty Profile
    Set objProfile = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:= _
                                                         objDoc.RefPlanes(1))
    ' Create an Arc object
    Set objArc1 = objProfile.Arcs2d.AddByStartAlongEnd(xStart:=0.07, yStart:=0.03, _
                                                       xAlong:=0.05, yAlong:=0.05, xEnd:=0.03, yEnd:=0.03)

    ' Create 2 Line objects
    Set objLine1 = objProfile.Lines2d.AddBy2Points(x1:=0.05, y1:=0, x2:=0.03, y2:=0.045)
    Set objLine2 = objProfile.Lines2d.AddBy2Points(x1:=0.05, y1:=0, x2:=0.07, y2:=0.045)
    ' Create a Fillet Relation between the objects
    Set objRelns = objProfile.Relations2d
    Set objReln1 = objRelns.AddFillet(Object1:=objLine1, Index1:=igLineEnd, Arc:=objArc1, _
                                      arc_index:=igArcEnd, Object2:=objLine2, Index2:=igLineEnd)

    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objLine1 = Nothing
    Set objLine2 = Nothing
    Set objArc1 = Nothing
    Set objProfile = Nothing
    Set objRelns = Nothing
    Set objReln1 = Nothing
End Sub
See Also

Relations2d Collection  | Relations2d Members